Create subscription
curl --request POST \
--url https://api.pointset.io/v1/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city": "London",
"entity_type": "restaurant",
"fields": [
"phone",
"rating",
"website"
]
}
'import requests
url = "https://api.pointset.io/v1/subscriptions"
payload = {
"city": "London",
"entity_type": "restaurant",
"fields": ["phone", "rating", "website"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
city: 'London',
entity_type: 'restaurant',
fields: ['phone', 'rating', 'website']
})
};
fetch('https://api.pointset.io/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"city": "London",
"entity_type": "restaurant",
"fields": [
"phone",
"rating",
"website"
],
"status": "active",
"data_status": "<string>",
"field_assessments": {},
"created_at": "<string>",
"updated_at": "<string>",
"cancelled_at": "<string>"
}{
"error": "<string>",
"limit": 123,
"current": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Subscriptions
Create subscription
Creates a subscription for a city and entity type. A scrape job is automatically enqueued.
POST
/
v1
/
subscriptions
Create subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created
Example:
"London"
Example:
"restaurant"
Example:
["phone", "rating", "website"]
Available options:
active, paused, cancelled Example:
"active"
Show child attributes
Show child attributes
⌘I